/**
 *
 */
package com.foc.sound.entity;

import com.alibaba.fastjson.annotation.JSONField;

/**
 * 
 * @team  IT Team
 * @author renmb
 * @version 1.0
 * @time  2017年1月5日
 */
public class CallPhoneInfoListEntity {

    /**
     * 
     */
    private static final long serialVersionUID = 742649702438365158L;
    
    @JSONField(name="userCode")
    private String userId;
    private String companyName; // 归属公司
    private String officeName; // 归属部门
    private String officeFullName; // 归属部门
    @JSONField(name="username")
    private String name; // 姓名
    private String email; // 邮箱
    private String phone; // 电话
    private String mobile; // 手机
    private String photo; // 头像
    private String dutyName;// 职务名称
    private String sex;
    private String mobileNubmer;// 用于直接拨号使用
    private String mobileProvince; //`mobile_province` varchar(200) COLLATE utf8_bin DEFAULT '' COMMENT '手机省份',
    private String mobileCity; //`mobile_city` varchar(200) COLLATE utf8_bin DEFAULT '' COMMENT '手机城市',
    private String mobileSp; //`mobile_sp` varchar(200) COLLATE utf8_bin DEFAULT '' COMMENT '手机运营商',
    
    @JSONField(name="seatCode")
    private String seatId;// 席位ID
    @JSONField(name="seatTypeName")
    private String typeName;// 席位类别
    private String stationName;// 席位场站名称
    private String seatName;// 席位名称
    private String seatPhone;// 席位电话
    private String huaweiNum;// 华为短号
    @JSONField(serialize=false)
    private String fromType;// 来源：USER 用户表 SEAT 席位表 RECORD 记录
    private String type;// 类型，USER 用户类型，SEAT席位类型 PHONE 电话（即未查询到记录）
    public String getUserId() {
        return userId;
    }
    public void setUserId(String userId) {
        this.userId = userId;
    }
    public String getCompanyName() {
        return companyName;
    }
    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }
    public String getOfficeName() {
        return officeName;
    }
    public void setOfficeName(String officeName) {
        this.officeName = officeName;
    }
    public String getOfficeFullName() {
        return officeFullName;
    }
    public void setOfficeFullName(String officeFullName) {
        this.officeFullName = officeFullName;
    }
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    public String getEmail() {
        return email;
    }
    public void setEmail(String email) {
        this.email = email;
    }
    public String getPhone() {
        return phone;
    }
    public void setPhone(String phone) {
        this.phone = phone;
    }
    public String getMobile() {
        return mobile;
    }
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }
    public String getPhoto() {
        return photo;
    }
    public void setPhoto(String photo) {
        this.photo = photo;
    }
    public String getDutyName() {
        return dutyName;
    }
    public void setDutyName(String dutyName) {
        this.dutyName = dutyName;
    }
    public String getSex() {
        return sex;
    }
    public void setSex(String sex) {
        this.sex = sex;
    }
    public String getMobileNubmer() {
        return mobileNubmer;
    }
    public void setMobileNubmer(String mobileNubmer) {
        this.mobileNubmer = mobileNubmer;
    }
    public String getMobileProvince() {
        return mobileProvince;
    }
    public void setMobileProvince(String mobileProvince) {
        this.mobileProvince = mobileProvince;
    }
    public String getMobileCity() {
        return mobileCity;
    }
    public void setMobileCity(String mobileCity) {
        this.mobileCity = mobileCity;
    }
    public String getMobileSp() {
        return mobileSp;
    }
    public void setMobileSp(String mobileSp) {
        this.mobileSp = mobileSp;
    }
    public String getSeatId() {
        return seatId;
    }
    public void setSeatId(String seatId) {
        this.seatId = seatId;
    }
    public String getTypeName() {
        return typeName;
    }
    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }
    public String getStationName() {
        return stationName;
    }
    public void setStationName(String stationName) {
        this.stationName = stationName;
    }
    public String getSeatName() {
        return seatName;
    }
    public void setSeatName(String seatName) {
        this.seatName = seatName;
    }
    public String getSeatPhone() {
        return seatPhone;
    }
    public void setSeatPhone(String seatPhone) {
        this.seatPhone = seatPhone;
    }
    public String getType() {
        return type;
    }
    public void setType(String type) {
        this.type = type;
    }
    public String getHuaweiNum() {
        return huaweiNum;
    }
    public void setHuaweiNum(String huaweiNum) {
        this.huaweiNum = huaweiNum;
    }
    public String getFromType() {
        return fromType;
    }
    public void setFromType(String fromType) {
        this.fromType = fromType;
    }
}
